<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>S1 - Lógica de Programación</title>  
  <script>
    function myFunction1() {
      alert("Hi from myFuction1")
    }
  </script>
  <script src="js/myFunction2.js"></script>
</head>
<body>
  <h1>Functions Management</h1>
  <br/>
  <button onclick="myFunction1()">Run myFuction1()</button>
  <br/>
  <br/>
  <button onclick="myFunction2('Miguel')">Run myFuction2()</button>
  <br/>
  <br/>
  <label>Insert your name and do click in enter</label>
  <input type="text" name="name" onchange="showName(this)"/>
  <div id="result"></div>
</body>
</html>